Name: gdk-pixbuf
Version: 0.14.0
Release: 8
Epoch: 1
Summary: An image loading library used with GNOME.
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
Source2: local-hack-gmodule.tar.gz
Patch: gdk-pixbuf-0.11.0-passall.patch
Patch1: gdk-pixbuf-png10.patch
Patch2: gdk-pixbuf-0.14.0-gmodulehack.patch
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildPrereq: gnome-libs-devel
BuildPrereq: /usr/bin/automake-1.4

%description
The gdk-pixbuf package contains an image loading library used with the
GNOME GUI desktop environment. The GdkPixBuf library provides image
loading facilities, the rendering of a GdkPixBuf into various formats
(drawables or GdkRGB buffers), and a cache interface.

%package devel
Summary: Files needed for developing apps to work with the GdkPixBuf library.
Group: Development/Libraries
Requires:	%{name} = %{version}, %{name}-gnome = %{version}
Requires:       gnome-libs-devel

%description devel
This package contains the libraries, header files, and include files
needed for developing applications that will work with the GdkPixBuf
image loading library.

%package gnome
Summary: GnomeCanvas support for displaying images.
Group: System Environment/Libraries
Requires: %{name} = %{version}, 

%description gnome
GNOME-dependent portions of the gdk-pixbuf image loading library.


%prep
%setup -q
## should no longer be needed, remove if not needed in 0.12 official tarball
## %patch -p1
## %patch1 -p1 -b .png10
%patch2 -p1 -b .gmodulehack

(cd gdk-pixbuf && tar zxf %{SOURCE2})

perl -p -i.bak -e 's/gmodule.h/gmodule-local.h/g; s/g_module/local_hack_g_module/g; s/GModule/LocalHackGModule/g; s/G_MODULE/LOCAL_HACK_G_MODULE/g' gdk-pixbuf/gdk-pixbuf-io.c gdk-pixbuf/gdk-pixbuf-io.h

%build
libtoolize --copy --force
aclocal-1.4
automake-1.4
autoconf

(cd gdk-pixbuf/local-hack-gmodule && make && cp gmodule-local.h ..)

CFLAGS="$RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}	\
	--localstatedir=%{_localstatedir} --disable-gtk-doc

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT/%{_localstatedir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post gnome -p /sbin/ldconfig
%postun gnome -p /sbin/ldconfig

%files
%defattr (-, root, root)

%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html

%{_prefix}/lib/libgdk_pixbuf*.so.*
%dir %{_prefix}/lib/gdk-pixbuf
%dir %{_prefix}/lib/gdk-pixbuf/loaders
%{_prefix}/lib/gdk-pixbuf/loaders/lib*.so*

%files gnome
%defattr (-, root, root)
%{_prefix}/lib/libgnomecanvaspixbuf*.so.*

%files devel
%defattr (-, root, root)
%{_prefix}/include/*
%{_prefix}/bin/gdk-pixbuf-config

%{_prefix}/lib/*so
%{_prefix}/lib/*a
%{_prefix}/lib/gdk-pixbuf/loaders/lib*a
%{_prefix}/lib/*Conf.sh
%{_prefix}/share/aclocal/*
%{_prefix}/share/gnome/html/*

%changelog
* Thu Feb 28 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Feb  7 2002 Havoc Pennington <hp@redhat.com>
- remove CPPFLAGS=-I/usr/include/png-1.0

* Thu Feb  7 2002 Havoc Pennington <hp@redhat.com>
- remove libpng10 linkage, add hack to dlopen without RTLD_GLOBAL

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com>
- bump release
- png1.0 stuff

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- fix some prefix/lib->libdir type of stuff
- rebuild for db1 issues

* Wed Dec 19 2001 Jeremy Katz <katzj@redhat.com>
- 0.14

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- 0.13

* Sat Oct  6 2001 Havoc Pennington <hp@redhat.com>
- fix glitch in my header relocation patch

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap with headers relocated

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Add dependency on gnome-libs-devel for the -devel package (#45020)

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Own /usr/lib/gdk-pixbuf, /usr/lib/gdk-pixbuf/loaders (#27423)
- Add BuildPrereq on gnome-libs-devel (#49444)
- Add --disable-gtk-doc (#48988)

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add post/postun for gnome subpackage

* Thu Jul 05 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add patch to cope with newer "file" version

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- copy config.{guess,sub} instead of calling libtoolize

* Wed Jun  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remember to set ownership in gnome subpackage

* Wed Jun 06 2001 Havoc Pennington <hp@redhat.com>
- Split out the gnome part into a separate package
- 0.11 upgrade
- don't libtoolize

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Specfile fixes

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.8.0

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix gdk-pixbuf RPM



